OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
PTKernel
PColStd

# PColStd_SeqExplorerOfHSequenceOfReal Class Reference

`#include <PColStd_SeqExplorerOfHSequenceOfReal.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | PColStd_SeqExplorerOfHSequenceOfReal (const Handle(PColStd_HSequenceOfReal)&S)
Standard_EXPORT Standard_Real | Value (const Standard_Integer Index)
Standard_EXPORT Standard_Boolean | Contains (const Standard_Real &T)
Standard_EXPORT Standard_Integer | Location (const Standard_Integer N, const Standard_Real &T, const Standard_Integer FromIndex, const Standard_Integer ToIndex)
Standard_EXPORT Standard_Integer | Location (const Standard_Integer N, const Standard_Real &T)
## Private Attributes
Handle_PColStd_SeqNodeOfHSequenceOfReal | CurrentItem
Standard_Integer | CurrentIndex
Handle_PColStd_HSequenceOfReal | TheSequence

## Constructor & Destructor Documentation

Standard_EXPORT PColStd_SeqExplorerOfHSequenceOfReal::PColStd_SeqExplorerOfHSequenceOfReal | ( | const Handle(PColStd_HSequenceOfReal)& | S | ) |

## Member Function Documentation

Standard_EXPORT Standard_Boolean PColStd_SeqExplorerOfHSequenceOfReal::Contains | ( | const Standard_Real & | T | ) |

Standard_EXPORT Standard_Integer PColStd_SeqExplorerOfHSequenceOfReal::Location | ( | const Standard_Integer | N,
|  | const Standard_Real & | T
| ) |

Standard_EXPORT Standard_Integer PColStd_SeqExplorerOfHSequenceOfReal::Location | ( | const Standard_Integer | N,
|  | const Standard_Real & | T,
|  | const Standard_Integer | FromIndex,
|  | const Standard_Integer | ToIndex
| ) |

void PColStd_SeqExplorerOfHSequenceOfReal::operator delete | ( | void * | anAddress | ) | `[inline]`

void* PColStd_SeqExplorerOfHSequenceOfReal::operator new | ( | size_t | size | ) | `[inline]`

void* PColStd_SeqExplorerOfHSequenceOfReal::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT Standard_Real PColStd_SeqExplorerOfHSequenceOfReal::Value | ( | const Standard_Integer | Index | ) |

## Field Documentation

Standard_Integer PColStd_SeqExplorerOfHSequenceOfReal::CurrentIndex`[private]`

Handle_PColStd_SeqNodeOfHSequenceOfReal PColStd_SeqExplorerOfHSequenceOfReal::CurrentItem`[private]`

Handle_PColStd_HSequenceOfReal PColStd_SeqExplorerOfHSequenceOfReal::TheSequence`[private]`

The documentation for this class was generated from the following file:

- PColStd_SeqExplorerOfHSequenceOfReal.hxx